VirtualBox Main API

Public Attributes | List of all members
IGuestSessionStateChangedEvent Interface Reference

Notification when a guest session changed its state. More...

Inheritance diagram for IGuestSessionStateChangedEvent:

## Public Attributes
readonly attribute unsigned long | id
| Session ID of guest session which was changed. More...
readonly attribute GuestSessionStatus | status
| New session status. More...
readonly attribute IVirtualBoxErrorInfo | error
| Error information in case of new session status is indicating an error. More...
Public Attributes inherited from IGuestSessionEvent
readonly attribute IGuestSession | session
| Guest session that is subject to change. More...
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type. More...
readonly attribute IEventSource | source
| Source of this event. More...
readonly attribute boolean | waitable
| If we can wait for this event being processed. More...

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed. More...
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed. More...

## Detailed Description

Notification when a guest session changed its state.

Interface ID:
  `{327E3C00-EE61-462F-AED3-0DFF6CBF9904}`

## Member Data Documentation

## ◆ id

readonly attribute unsigned long IGuestSessionStateChangedEvent::id

Session ID of guest session which was changed.

## ◆ status

readonly attribute GuestSessionStatus IGuestSessionStateChangedEvent::status

New session status.

## ◆ error

readonly attribute IVirtualBoxErrorInfo IGuestSessionStateChangedEvent::error

Error information in case of new session status is indicating an error.

The attribute IVirtualBoxErrorInfo::resultDetail will contain the runtime (IPRT) error code from the guest. See include/iprt/err.h and include/VBox/err.h for details.